<script lang="ts" setup>
import LoadingDialog from '@/components/Dialog/LoadingDialog.vue'
import MainHeader from '@/components/Header/MainHeader.vue'
import MainFooter from '@/components/Footer/MainFooter.vue'
import MainMenu from '@/components/Menu/MainMenu.vue'
import MessageDialog from '@/components/Dialog/MessageDialog.vue'
import LoginDialog from '@/components/Dialog/LoginDialog.vue'
import { ref } from 'vue'
function getSlideClass() {
  if (window.innerWidth < 600) {
    return 'text-h3'
  } else {
    return 'text-h2'
  }
}
const slides = ref(['First', 'Second', 'Third'])
</script>
<template>
  <v-app>
    <MainHeader></MainHeader>
    <MainMenu></MainMenu>

    <v-container fluid fill-height>
      <v-carousel cycle height="400" hide-delimiter-background show-arrows="hover">
        <v-carousel-item v-for="(slide, i) in slides" :key="i">
          <v-sheet height="100%">
            <div class="d-flex fill-height justify-center align-center">
              <div class="text-h2" :class="getSlideClass()">{{ slide }} Slide</div>
            </div>
          </v-sheet>
        </v-carousel-item>
      </v-carousel>
    </v-container>
    <LoginDialog></LoginDialog>
    <LoadingDialog></LoadingDialog>
    <MessageDialog></MessageDialog>
  </v-app>
  <MainFooter></MainFooter>
</template>
<style scoped>
.text-h2 {
  font-size: 2rem;
}

.text-h3 {
  font-size: 1.5rem;
}

@media (max-width: 600px) {
  .text-h2 {
    font-size: 1.5rem;
  }
}
</style>
